Bug 827778 - [abrt] yum-3.4.3-23.fc17: repoMDObject.py:180:getData:RepoMDError: requested datatype primary not available
[abrt] yum-3.4.3-23.fc17: repoMDObject.py:180:getData:RepoMDError: requested ...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
abrt_hash:8e81c76e9b2b0c4f76acc0f8115...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-02 21:41 EDT by 0xff
Modified: 2014-01-21 18:22 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-28 16:34:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description 0xff 2012-06-02 21:41:06 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        /usr/bin/python -t /usr/share/yum-cli/completion-helper.py -d 0 -C list available ''
comment:        Straight after fresh install, tried to use command-line completion by <TAB> for package installation, thus for third argument in yum. E.g. yum install VirtualB<TAB> (crashes here)
executable:     /usr/share/yum-cli/completion-helper.py
kernel:         3.3.7-1.fc17.x86_64
time:           Sun 03 Jun 2012 10:29:56 KST
uid:            1000
username:       0xff

backtrace:
:repoMDObject.py:180:getData:RepoMDError: requested datatype primary not available
:
:Traceback (most recent call last):
:  File "/usr/share/yum-cli/completion-helper.py", line 81, in <module>
:    main(sys.argv[1:])
:  File "/usr/share/yum-cli/completion-helper.py", line 77, in main
:    base.doCommands()
:  File "/usr/share/yum-cli/cli.py", line 485, in doCommands
:    return self.yum_cli_commands[self.basecmd].doCommand(self, self.basecmd, self.extcmds)
:  File "/usr/share/yum-cli/completion-helper.py", line 44, in doCommand
:    patterns=[get_pattern(extcmds)])
:  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 2660, in doPackageLists
:    avail = self.pkgSack.returnNewestByNameArch(patterns=patterns,
:  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 1003, in <lambda>
:    pkgSack = property(fget=lambda self: self._getSacks(),
:  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 767, in _getSacks
:    self.repos.populateSack(which=repos)
:  File "/usr/lib/python2.7/site-packages/yum/repos.py", line 294, in populateSack
:    sack.populate(repo, mdtype, callback, cacheonly)
:  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 186, in populate
:    xml = repo_get_function()
:  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1638, in getPrimaryXML
:    return self.retrieveMD('primary')
:  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1563, in retrieveMD
:    return self._retrieveMD(mdtype)
:  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1571, in _retrieveMD
:    thisdata = self.repoXML.getData(mdtype)
:  File "/usr/lib/python2.7/site-packages/yum/repoMDObject.py", line 180, in getData
:    raise RepoMDError, "requested datatype %s not available" % type
:RepoMDError: requested datatype primary not available
:
:Local variables in innermost frame:
:self: <yum.repoMDObject.RepoMD instance at 0x1ea0878>
:type: 'primary'

smolt_data:
:
:
:General
:=================================
:UUID: a55d8272-46ff-441e-bc6a-94e562b9959d
:OS: RFRemix release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 6823.00
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i7-2600 CPU @ 3.40GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 8
:CPU Speed: 3401
:System Memory: 7968
:System Swap: 10015
:Vendor: System manufacturer
:System: System Product Name System Version
:Form factor: Desktop
:Kernel: 3.3.7-1.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4332:33128:4163:33842) pci, r8169, ETHERNET, P8P67 Deluxe Motherboard [Realtek RTL8111E]
:(32902:256:4163:33869) pci, None, HOST/PCI, P8P67 Deluxe Motherboard
:(32902:257:4163:33869) pci, pcieport, PCI/PCI, Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port
:(32902:7202:4163:33869) pci, i801_smbus, SERIAL, P8P67 Deluxe Motherboard
:(32902:7170:4163:33869) pci, ahci, STORAGE, P8P67 Deluxe Motherboard
:(32902:7242:4163:33869) pci, None, PCI/ISA, H67 Express Chipset Family LPC Controller
:(6945:4162:4163:33928) pci, xhci_hcd, USB, ASM1042 SuperSpeed USB Host Controller
:(32902:7213:4163:33869) pci, ehci_hcd, USB, P8P67 Deluxe Motherboard
:(32902:7206:4163:33869) pci, ehci_hcd, USB, P8P67 Deluxe Motherboard
:(32902:7226:4163:33869) pci, None, SIMPLE, P8P67 Deluxe Motherboard
:(4358:1045:4163:33679) pci, pata_via, STORAGE, M5A88-V EVO
:(32902:7188:4163:33869) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 3
:(32902:7190:4163:33869) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:4163:33869) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7196:4163:33869) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 7
:(32902:7198:4163:33869) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 8
:(32902:9294:4163:33869) pci, None, PCI/PCI, 82801 PCI Bridge
:(32902:7200:4163:33860) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(4358:12356:4358:12356) pci, firewire_ohci, FIREWIRE, VT6306/7/8 [Fire II(M)] IEEE 1394 OHCI Controller
:(4318:3596:4163:33716) pci, snd_hda_intel, MULTIMEDIA, N/A
:(4318:4609:4163:33716) pci, nvidia, VIDEO, N/A
:(32902:7194:4163:33869) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 6
:(6945:4224:4163:33929) pci, None, PCI/PCI, N/A
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_0xff--mighty-lv_root / ext4 4096 4096 5226764 3019151 2757007 1310720 1000834 1000834
:/dev/sda2 /boot ext4 1024 1024 508745 432896 407296 128016 127988 127988
:/dev/sda1 WITHHELD vfat 4096 4096 51145 51080 51080 0 0 0
:/dev/mapper/vg_0xff--mighty-lv_home /home ext4 4096 4096 15373174 11586263 10816215 3850240 3732191 3732191
:/dev/sdc2 WITHHELD ext4 UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN
:/dev/sdc1 WITHHELD fuseblk UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN
:/dev/sdb1 WITHHELD fuseblk UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN
:
Comment 1 James Antill 2013-05-28 16:34:23 EDT
I believe the traceback is now fixed, but the underlying problem is a bad repo.

Note You need to log in before you can comment on or make changes to this bug.